<?php

if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'mag', 150, 180, true );
}
// Widgett Sidebar
add_filter( 'pre_option_link_manager_enabled', '__return_true' );
add_filter( 'wp_title', 'filter_wp_title' );
/**
 * Filters the page title appropriately depending on the current page
 *
 * This function is attached to the 'wp_title' fiilter hook.
 *
 * @uses	get_bloginfo()
 * @uses	is_home()
 * @uses	is_front_page()
 */
function filter_wp_title( $title ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	$site_description = get_bloginfo( 'description' );

	$filtered_title = $title . get_bloginfo( 'name' );
	$filtered_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
	$filtered_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) ) : '';

	return $filtered_title;
}

// Themes Settings
	// Actions
	add_action('admin_menu', 'mahdiscms_menu');
	add_action( 'admin_init', 'mahdiscms_register');

	// Adding Menu
	function mahdiscms_menu() {
		add_theme_page('تنظيمات قالب', 'تنظيمات قالب', 'manage_options', 'mahdiscms', 'mahdiscms_options');
	}

	function mahdiscms_options() {
		if (!current_user_can('manage_options'))  {
			wp_die('شما مجوز کافی برای مشاهده این برگه را ندارید.');
		} ?>

	<div class="wrap">
		<h2>تنظيمات قالب</h2>
		<form method="post" action="options.php">
			<?php settings_fields('mahdiscms_settings'); ?>
            <h3>دسته ي اخبار</h3>
                <select name="mahdiscms_news">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('mahdiscms_news');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }
                    ?>
                </select>
            <h3>دسته ي محصولات فروشگاه</h3>
                <select name="mahdiscms_prod">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('mahdiscms_prod');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }
                    ?>
                </select>
            <h3>دسته ي پروژه</h3>
                <select name="mahdiscms_pro">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('mahdiscms_pro');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }
                    ?>
                </select>
           
			<p class="submit">
			<input type="submit" class="button-primary" value="ذخیره‌ی تغییرات" />
			</p>
		</form>
		 سایت: <a href="http://www.xscript.ir">www.xscript.ir/</a><br />
	</div>
	<?php }

	//Register our settings
	function mahdiscms_register() {
		register_setting('mahdiscms_settings', 'mahdiscms_news');
		register_setting('mahdiscms_settings', 'mahdiscms_prod');
		register_setting('mahdiscms_settings', 'mahdiscms_pro');
	}

?>